Bug 195672 - No 'dispatcher' (distpacher.d) directory in NM RPM
No 'dispatcher' (distpacher.d) directory in NM RPM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 10:28 EDT by Derek Atkins
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-25 21:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2006-06-16 10:28:56 EDT
Description of problem:

The NM Dispatch scripts directory, /etc/NetworkManager/distpatch.d, does not
exist in the NM RPM.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.3-1.fc5


How reproducible:
100%

Steps to Reproduce:
1. ls /etc/NetworkManager
2.
3.
  
Actual results:
/etc/NetworkManager/dispatcher.d does not exist

Expected results:
The dispatcher.d directory should have been created by the RPM, even if there
are no scripts in the RPM.

Additional info:

Add this to the %install section of the RPM SPEC file:

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/NetworkManager/dispatcher.d

And add this to the %files section of the RPM SPEC file:

%dir %{_sysconfdir}/NetworkManager/dispatcher.d
Comment 1 Chris Weyl 2006-11-25 16:21:02 EST
The /etc/NetworkManager/dispatcher.d is still unowned in fc6.  This is a
packaging bug, and really should be trivial to fix...
Comment 2 Matthias Clasen 2006-11-25 21:11:04 EST
I've fixed this in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.